<?xml version="1.0" encoding="UTF-8"?>
<!-- bm801_537val_Vecozo_stap2_v1, januari 2024 -->
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
xmlns:cod="http://ei.vektis.nl/codelijsten/v1" 
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- VALXSLT 2 TRAPS RETOURBERICHT  - versie Vecozo -->
	<!-- Deze xslt doet stap 2, i.e. filteren overbodige ballast met eindresultaat retourbericht -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="//bm802:Bericht">
		<bm802:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0 bm802v2_538.xsd</xsl:attribute>		
			<xsl:apply-templates select="bm802:Header"/>
			<xsl:apply-templates select="bm802:Overzicht"/>
			<xsl:apply-templates select="bm802:Betaalopdracht"/>
		</bm802:Bericht>
	</xsl:template>
	
	<xsl:template match="bm802:Header">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<bm802:Header>
			<xsl:apply-templates select="bm802:Berichtcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Berichtversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Berichtsubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Berichtsoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Verzender" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:VerzenderRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Ontvanger" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:OntvangerRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:Referentienummer" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="bm802:Feedback"/>
		</bm802:Header>
	</xsl:template>

	<xsl:template match="bm802:Overzicht">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<bm802:Overzicht>
			<xsl:apply-templates select="bm802:TotaalBedragDC"/>
			<xsl:apply-templates select="bm802:TotaalToegekendBedragDC"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="bm802:Feedback"/>
		</bm802:Overzicht>
	</xsl:template>
	<xsl:template match="bm802:TotaalBedragDC">	
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<bm802:TotaalBedragDC>
			<xsl:apply-templates select="bm802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="bm802:Feedback"/>
		</bm802:TotaalBedragDC>
	</xsl:template>			
	<xsl:template match="bm802:TotaalToegekendBedragDC">	
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<bm802:TotaalToegekendBedragDC>
			<xsl:apply-templates select="bm802:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="bm802:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="bm802:Feedback"/>
		</bm802:TotaalToegekendBedragDC>
	</xsl:template>			
	
	<xsl:template match="bm802:Betaalopdracht">
		<xsl:variable name="FoutenBetaalopdracht" select="count(./bm802:Feedback)"/>
		<xsl:variable name="FoutenRekeningBegunstigde" select="count(./bm802:RekeningBegunstigde/bm802:Feedback)"/>
		<xsl:variable name="FoutenBedragDC" select="count(./bm802:BedragDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenBetaalopdrachtspecificatie" select="count(./bm802:Betaalopdrachtspecificatie/bm802:Feedback)"/>
		<xsl:variable name="FoutenHonorariumkostenDC" select="count(./bm802:Betaalopdrachtspecificatie/bm802:HonorariumkostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenTechniekkostenDC" select="count(./bm802:Betaalopdrachtspecificatie/bm802:TechniekkostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenReiskostenDC" select="count(./bm802:Betaalopdrachtspecificatie/bm802:ReiskostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenTotaalBedragSpecificatieDC" select="count(./bm802:Betaalopdrachtspecificatie/bm802:TotaalBedragSpecificatieDC/bm802:Feedback)"/>
		<xsl:if test="($FoutenBetaalopdracht+$FoutenRekeningBegunstigde+$FoutenBedragDC+$FoutenBetaalopdrachtspecificatie+$FoutenHonorariumkostenDC+$FoutenTechniekkostenDC+$FoutenReiskostenDC+$FoutenTotaalBedragSpecificatieDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:Betaalopdracht>
			<!-- retourneer identificerende gegevens van Betaalopdracht -->
				<xsl:apply-templates select="bm802:UzoviNummer" mode="copy-if-exists"/>
				<xsl:apply-templates select="bm802:Categorie" mode="copy-if-exists"/>
				<xsl:apply-templates select="bm802:Begunstigde" mode="copy-if-exists"/>
				<xsl:apply-templates select="bm802:Betalingsomschrijving" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:RekeningBegunstigde"/>
				<xsl:apply-templates select="bm802:BedragDC"/>
				<xsl:apply-templates select="bm802:Betaalopdrachtspecificatie"/>
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:Betaalopdracht>
		</xsl:if>
	</xsl:template>
		
	<xsl:template match="bm802:RekeningBegunstigde">
		<xsl:variable name="FoutenRekeningBegunstigde" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenRekeningBegunstigde) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:RekeningBegunstigde>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:RekeningBegunstigde>
		</xsl:if>
	</xsl:template>	
		
	<xsl:template match="bm802:BedragDC">
		<xsl:variable name="FoutenBedragDC" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenBedragDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:BedragDC>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:BedragDC>
		</xsl:if>
	</xsl:template>
		
	<xsl:template match="bm802:Betaalopdrachtspecificatie">
		<xsl:variable name="FoutenBetaalopdrachtspecificatie" select="count(./bm802:Feedback)"/>
		<xsl:variable name="FoutenHonorariumkostenDC" select="count(./bm802:HonorariumkostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenTechniekkostenDC" select="count(./bm802:TechniekkostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenReiskostenDC" select="count(./bm802:ReiskostenDC/bm802:Feedback)"/>
		<xsl:variable name="FoutenTotaalBedragSpecificatieDC" select="count(./bm802:TotaalBedragSpecificatieDC/bm802:Feedback)"/>
		<xsl:if test="($FoutenBetaalopdrachtspecificatie+$FoutenHonorariumkostenDC+$FoutenTechniekkostenDC+$FoutenReiskostenDC+$FoutenTotaalBedragSpecificatieDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:Betaalopdrachtspecificatie>
				<!-- retourneer identificerende gegevens van Betaalopdrachtspecificatie -->
				<xsl:apply-templates select="bm802:Zorgjaar" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:HonorariumkostenDC"/>		
				<xsl:apply-templates select="bm802:TechniekkostenDC"/>			
				<xsl:apply-templates select="bm802:ReiskostenDC"/>
				<xsl:apply-templates select="bm802:TotaalBedragSpecificatieDC"/>
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:Betaalopdrachtspecificatie>
		</xsl:if>
	</xsl:template>

	<xsl:template match="bm802:HonorariumkostenDC">
		<xsl:variable name="FoutenHonorariumkostenDC" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenHonorariumkostenDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:HonorariumkostenDC>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:HonorariumkostenDC>
		</xsl:if>
	</xsl:template>	
	
	<xsl:template match="bm802:TechniekkostenDC">
		<xsl:variable name="FoutenTechniekkostenDC" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenTechniekkostenDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:TechniekkostenDC>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:TechniekkostenDC>
		</xsl:if>
	</xsl:template>	

	<xsl:template match="bm802:ReiskostenDC">
		<xsl:variable name="FoutenReiskostenDC" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenReiskostenDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:ReiskostenDC>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:ReiskostenDC>
		</xsl:if>
	</xsl:template>	

	<xsl:template match="bm802:TotaalBedragSpecificatieDC">
		<xsl:variable name="FoutenTotaalBedragSpecificatieDC" select="count(./bm802:Feedback)"/>
		<xsl:if test="($FoutenTotaalBedragSpecificatieDC) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<bm802:TotaalBedragSpecificatieDC>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="bm802:Feedback"/>
			</bm802:TotaalBedragSpecificatieDC>
		</xsl:if>
	</xsl:template>	
	
	<xsl:template match="bm802:Feedback">
	<bm802:Feedback>
		<xsl:apply-templates select="bm802:Retourcode" mode="copy-if-exists"/>
		<xsl:apply-templates select="bm802:BetrokkenElement"/>
		<xsl:apply-templates select="bm802:AanvullendKenmerk"/>
	</bm802:Feedback>
	</xsl:template>
	<xsl:template match="bm802:BetrokkenElement">
		<bm802:BetrokkenElement>
			<xsl:apply-templates select="*" mode="copy-if-exists"/>
		</bm802:BetrokkenElement>
	</xsl:template>
	<xsl:template match="bm802:AanvullendKenmerk">
		<bm802:BetrokkenElement>
			<xsl:apply-templates select="*" mode="copy-if-exists"/>
		</bm802:BetrokkenElement>
	</xsl:template>	
	
	<!-- Copy template: als een enkel element voorkomt is, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('bm802:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
