<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8028.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- Laden Configuratiefile	-->
	<xsl:import href="config_Vecozo.xml"/>

	<!-- retourcode 8028: De waarde van BerichtSoort moet voldoen aan de omgeving van VECOZO (productie of test) -->
	<xsl:template name="rc8028">
		<xsl:param name="Berichtsoort"/>
		
		<xsl:if test="normalize-space($Berichtsoort) != normalize-space($OmgevingVecozo)">
			<bm802:Feedback>
				<bm802:Retourcode>8028</bm802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<bm802:BetrokkenElement>
					<bm802:Elementnaam><xsl:value-of select="local-name($Berichtsoort)"/></bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$Berichtsoort"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
				<bm802:BetrokkenElement>
					<bm802:Elementnaam>OmgevingVecozo</bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$OmgevingVecozo"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
