<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8987.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 8987:TotaalBedragDC included DebetCreditCode = SOM Betaalopdracht/BedragDC included DebetCreditCode | Som totaalbedrag ontbreekt of is onjuist.   -->
	<xsl:template name="rc8987">
		<xsl:param name="TotaalBedrag"/>
		<xsl:param name="TotaalBedragDCIndicator"/>
		<xsl:param name="TotaalDebetPrestaties"/>
		<xsl:param name="TotaalCreditPrestaties"/>
		
		<xsl:variable name="Totaal">
		<xsl:choose>
			<xsl:when test="$TotaalBedragDCIndicator='D'">
				<xsl:value-of select="$TotaalBedrag"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$TotaalBedrag * -1"/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:variable>
		
		<xsl:if test="not(format-number($Totaal, '#.00') = format-number((format-number($TotaalDebetPrestaties, '#.00') - format-number($TotaalCreditPrestaties, '#.00')), '#.00'))">
			<bm802:Feedback>
				<bm802:Retourcode>8987</bm802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<bm802:BetrokkenElement>
					<bm802:Elementnaam>TotaalBedragDC/Bedrag</bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$TotaalBedrag"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
				<bm802:BetrokkenElement>
					<bm802:Elementnaam>TotaalBedragDC/DebetCreditCode</bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$TotaalBedragDCIndicator"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
