<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8991.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 8991: IF BetaalopdrachtCategorie = 1, THEN TotaalbedragSpecificatieDC included DebetCreditCode = HonorariumKostenDC +  TechniekKostenDC  + ReisKostenDC included DebetCreditCode | Totaalbedrag ontbreekt of is onjuist. -->
	<xsl:template name="rc8991">
		<xsl:param name="HonorariumkostenBedrag"/>
		<xsl:param name="HonorariumkostenDC"/>
		<xsl:param name="TechniekkostenBedrag"/>
		<xsl:param name="TechniekkostenDC"/>
		<xsl:param name="ReiskostenBedrag"/>
		<xsl:param name="ReiskostenDC"/>
		<xsl:param name="TotaalBedragSpecificatieBedrag"/>
		<xsl:param name="TotaalBedragSpecificatieDC"/>
		<xsl:param name="Categorie"/>
		
		<!-- Zet de DebetCreditIndicator om in een positief of een nagatief bedrag -->	
		<xsl:variable name="Honorariumkosten">
			<xsl:choose>
				<xsl:when test="$HonorariumkostenDC='D'">
					<xsl:value-of select="$HonorariumkostenBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$HonorariumkostenBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
	
		<xsl:variable name="Techniekkosten">
			<xsl:choose>
				<xsl:when test="$TechniekkostenDC='D'">
					<xsl:value-of select="$TechniekkostenBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$TechniekkostenBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>	
	
		<xsl:variable name="Reiskosten">
			<xsl:choose>
				<xsl:when test="$ReiskostenDC='D'">
					<xsl:value-of select="$ReiskostenBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$ReiskostenBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
			
		<xsl:variable name="TotaalBedragSpecificatie">
			<xsl:choose>
				<xsl:when test="$TotaalBedragSpecificatieDC='D'">
					<xsl:value-of select="$TotaalBedragSpecificatieBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$TotaalBedragSpecificatieBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>			
		
		<xsl:if test="$Categorie='1' and ($Honorariumkosten + $Techniekkosten + $Reiskosten != $TotaalBedragSpecificatie)">
			<bm802:Feedback>
				<bm802:Retourcode>8991</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Categorie)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Categorie"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<xsl:if test="$TotaalBedragSpecificatieBedrag">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>TotaalBedragSpecificatie/Bedrag</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$TotaalBedragSpecificatieBedrag"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>					
					</xsl:if>
					<xsl:if test="$TotaalBedragSpecificatieDC">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>TotaalBedragSpecificatie/DebetCreditCode</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$TotaalBedragSpecificatieDC"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>
					</xsl:if>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
