<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9262a.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9262: Indien Berichtcode = 537 (= Betaalopdracht Wlz), dan  VerzenderRol = 5 (= Zorgkantoor). -->
	<xsl:template name="rc9262a">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="VerzenderRol"/>
		
		<xsl:if test="$Berichtcode=537 and not($VerzenderRol='5')">
			<bm802:Feedback>
				<bm802:Retourcode>9262</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Berichtcode"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($VerzenderRol)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$VerzenderRol"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
