<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9647.xslt, januari 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- retourcode 9647: IF Categorie  <> 1, THEN NOT EXIST HonorariumkostenDC, TechniekkostenDC, ReiskostenDC | Honorariumkosten, Techniekkosten en Reiskosten mag niet voorkomen. -->
	<xsl:template name="rc9647">
		<xsl:param name="HonorariumkostenBedrag"/>
		<xsl:param name="HonorariumkostenDC"/>
		<xsl:param name="TechniekkostenBedrag"/>
		<xsl:param name="TechniekkostenDC"/>
		<xsl:param name="ReiskostenBedrag"/>
		<xsl:param name="ReiskostenDC"/>
		<xsl:param name="Categorie"/>
		
		<xsl:if test="not($Categorie='1') and ($HonorariumkostenBedrag or $HonorariumkostenDC or $TechniekkostenBedrag or $TechniekkostenDC or $ReiskostenBedrag or $ReiskostenDC)">
			<bm802:Feedback>
				<bm802:Retourcode>9647</bm802:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
					<bm802:BetrokkenElement>
						<bm802:Elementnaam><xsl:value-of select="local-name($Categorie)"/></bm802:Elementnaam>
						<bm802:Elementwaarde><xsl:value-of select="$Categorie"/></bm802:Elementwaarde>
					</bm802:BetrokkenElement>
					<xsl:if test="$HonorariumkostenBedrag">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>HonorariumkostenDC/Bedrag</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$HonorariumkostenBedrag"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>					
					</xsl:if>
					<xsl:if test="$HonorariumkostenDC">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>HonorariumkostenDC/DebetCreditCode</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$HonorariumkostenDC"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>
					</xsl:if>
					<xsl:if test="$TechniekkostenBedrag">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>TechniekkostenDC/Bedrag</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$TechniekkostenBedrag"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>	
					</xsl:if>
					<xsl:if test="$TechniekkostenDC">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>TechniekkostenDC/DebetCreditCode</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$TechniekkostenDC"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>					
					</xsl:if>
					<xsl:if test="$ReiskostenBedrag">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>ReiskostenDC/Bedrag</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$ReiskostenBedrag"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>					
					</xsl:if>
					<xsl:if test="$ReiskostenDC">
						<bm802:BetrokkenElement>
							<bm802:Elementnaam>ReiskostenDC/DebetCreditCode</bm802:Elementnaam>
							<bm802:Elementwaarde><xsl:value-of select="$ReiskostenDC"/></bm802:Elementwaarde>
						</bm802:BetrokkenElement>					
					</xsl:if>						
			</bm802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
