<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Huidigedatum.xslt, januari 2024-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:bm802="http://ei.vektis.nl/betaalopdrachtmondzorg/bm802/v2_0">

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van de huidige datum uit config.xml, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->

	<!-- Laden Configuratiefile	-->
	<xsl:import href="config_Vecozo.xml"/>

				
	<xsl:template name="rcDatum_vs_Huidigedatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="($TeControlerenDatum != '')">
			<xsl:if test="($Vergelijking = 'kleinerofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($HuidigeDatum,'-','')))">
				<bm802:Feedback>
					<bm802:Retourcode><xsl:value-of select="$Retourcode"/></bm802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<bm802:BetrokkenElement>
					<bm802:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
				<bm802:BetrokkenElement>
					<bm802:Elementnaam>HuidigeDatum</bm802:Elementnaam>
					<bm802:Elementwaarde><xsl:value-of select="$HuidigeDatum"/></bm802:Elementwaarde>
				</bm802:BetrokkenElement>
				</bm802:Feedback>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
